# VLCKit: VLCStreamOutput Class Reference

VLCStreamOutput Class Reference

`#import <VLCStreamOutput.h>`

Inheritance diagram for VLCStreamOutput:

## Instance Methods

(instancetype) | - initWithOptionDictionary:

## Class Methods

(instancetype) | + streamOutputWithOptionDictionary:
(id) | + rtpBroadcastStreamOutputWithSAPAnnounce:
(id) | + rtpBroadcastStreamOutput
(id) | + ipodStreamOutputWithFilePath:
(instancetype) | + streamOutputWithFilePath:
(id) | + mpeg2StreamOutputWithFilePath:
(id) | + mpeg4StreamOutputWithFilePath:

## Detailed Description

a class allowing you to stream media based on predefined definitions

The documentation for this class was generated from the following file:

- Headers/Public/VLCStreamOutput.h